<script setup>
import { ref, onMounted, onBeforeMount } from "vue";
import axios from "axios";
import AmiiboComponent from "../component/AmiiboComponent.vue";

const banner = new URL(`../assets/images/banner.png`, import.meta.url).href
const amiibos = ref();

onBeforeMount(() => {
  axios.get("https://www.amiiboapi.com/api/amiibo/").then((response) => {
    amiibos.value = response.data;
  });
});


</script>

<template>
  <section id="banner">
      <header>
        <h2>Hey.Bienvenue sur ma collection</h2>
      </header>
  </section>
  <section id="intro" class="container">

    <div class="row">
      <div v-for="amiibo in amiibos.amiibo.slice(0, 3)" :key="amiibo.id" class="col-4 col-12-medium">
        <AmiiboComponent :amiibo="amiibo" />
      </div>
    </div>
    <footer>
      <ul class="actions">
        <li>  <router-link class="button large" to="/amiibos">Liste complète</router-link></li>
      </ul>
    </footer>
  </section>


</template>

<style>
#banner { background-color: aquamarine;}
</style>
